package com.example.dialogs_demo;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.support.v4.app.FragmentActivity;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import eu.inmite.android.lib.dialogs.SimpleDialogFragment;

import java.lang.reflect.Method;

/** Demo App showing dialogs (standart and styled), android:tools, lint configuration, ProGuard, StrictMode
 *
 */
//@SuppressLint({"UseValueOf"})
//@TargetApi(9)
public class MyActivity extends FragmentActivity {


    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        Button btnOld = (Button) findViewById(R.id.btnOld);
        btnOld.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // using standard dialog
                new MyDialog().show(getSupportFragmentManager(), "dialog");
            }
        });

        Button btnNew = (Button) findViewById(R.id.btnNew);
        btnNew.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // using android-styled-dialogs library
                SimpleDialogFragment.SimpleDialogBuilder builder = SimpleDialogFragment.createBuilder(MyActivity.this, getSupportFragmentManager());
                builder.setTitle(R.string.app_name);
                builder.setMessage(R.string.app_name)
                        .setPositiveButtonText("OK");
                builder.show();
            }
        });

        Button btnCrash = (Button) findViewById(R.id.btnCounter);
        btnCrash.setOnClickListener(new View.OnClickListener() {
//            @SuppressLint("UseValueOf")
            @Override
            public void onClick(View view) {

                try {
                    Class cls = Class.forName("PassingCounter");
                    Object o = cls.newInstance();
                    Method m = cls.getMethod("count", Integer.TYPE);
                    m.invoke(o, new Integer(5));
                } catch (Exception e) {
                    Log.e(MyActivity.class.getSimpleName(), "Failed to count", e);
                }
                // intentional crash to show obfuscated stack trace and deobfuscate it if ReTrace
                PassingCounter c = new PassingCounter();
                c.count();
            }
        });

        Log.d(MyActivity.class.getSimpleName(), String.valueOf("aaa".isEmpty()));
    }

    public static class MyDialog extends DialogFragment {

        @Override
        public Dialog onCreateDialog(Bundle savedInstanceState) {
            AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
            builder.setTitle(R.string.app_name);
            builder.setMessage(R.string.app_name);
            builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialogInterface, int i) {
                    dismiss();
                }
            });
            return builder.create();
        }
    }
}
