package com.example.dialogs_demo;

import android.annotation.TargetApi;
import android.app.Application;
import android.os.Build;
import android.os.StrictMode;

/** StrictMode configuration */
public class MyApplication extends Application {

    @TargetApi(9)
    @Override
    public void onCreate() {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.GINGERBREAD && Config.DEBUG_MODE) {
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder()
                    .detectDiskReads()
                    .detectDiskWrites()
                    .detectNetwork()   // or .detectAll() for all detectable problems
                    .penaltyLog()
//                    .penaltyFlashScreen()
                    .build());

            StrictMode.VmPolicy.Builder vmBuilder = new StrictMode.VmPolicy.Builder();
            vmBuilder.detectLeakedSqlLiteObjects()
//                    .penaltyDeath()
                    .penaltyLog();
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
                vmBuilder.detectLeakedClosableObjects();
//                vmBuilder.detectActivityLeaks();    // problematic do not use
            }
            StrictMode.setVmPolicy(vmBuilder.build());
        }
        super.onCreate();
    }
}
